ICA(1)

NAME
ica - iTALC Client Application

SYNOPSIS
ica [options]
ica [options] [command]

DESCRIPTION

ICA is the software which needs to run on clients in order to access them using iTALC master application. It provides a VNC server and a service daemon which is necessary for taking control over the client.

iTALC OPTIONS

-role role

    Set role under which ICA should run where role has to be "teacher", "admin", "supporter" or "other".

-port port

    Set port at which the iTALC VNC server should listen. Default: 11100

The -createkeypair option has been moved to the iTALC Management Console imc since iTALC 2.0.0.

X11VNC OPTIONS

-noshm

    Do not use the MIT-SHM extension for the polling. Remote displays can be polled this way: be careful this can use large amounts of network bandwidth. This is also of use if the local machine has a limited number of shm segments and -onetile is not sufficient.

-onetile

    Do not use the new copy_tiles() framebuffer mechanism, just use 1 shm tile for polling. Limits shm segments used to 3.

-nosel

     Do not manage exchange of X selection/cutbuffer between VNC viewers and the X server at all.

-nosetclipboard

    Do not set the CLIPBOARD selection for changes received from VNC clients.

-solid [color]

    To improve performance, when VNC clients are connected try to change the desktop background to a solid color. The [color] is optional: the default color is "cyan4". For a different one specify the X color (rgb.txt name, e.g. "darkblue" or numerical "#RRGGBB").

    Currently this option only works on GNOME, KDE3, CDE, XFCE, and classic X (i.e. with the background image on the root window). The "gconftool-2", "dcop" and "xfconf-query" external commands are run for GNOME, KDE, and XFCE respectively. (There is no color selection for XFCE.) Other desktops won't work, (send us the corresponding commands if you find them).

-xrandr [mode]

    If the display supports the XRANDR (X Resize, Rotate and Reflection) extension, and you expect XRANDR events to occur to the display while x11vnc is running, this options indicates x11vnc should try to respond to them (as opposed to simply crashing by assuming the old screen size). See the xrandr(1) manpage and run ´xrandr -q' for more info. [mode] is optional and described below.

    Since watching for XRANDR events and trapping errors increases polling overhead, only use this option if XRANDR changes are expected. For example on a rotatable screen PDA or laptop, or using a XRANDR-aware Desktop where you resize often. It is best to be viewing with a vncviewer that supports the NewFBSize encoding, since it knows how to react to screen size changes. Otherwise, LibVNCServer tries to do so something reasonable for viewers that cannot do this (portions of the screen may be clipped, unused, etc).

    "mode" defaults to "resize", which means create a new, resized, framebuffer and hope all viewers can cope with the change. "newfbsize" means first disconnect all viewers that do not support the NewFBSize VNC encoding, and then resize the framebuffer. "exit" means disconnect all viewer clients, and then terminate x11vnc.

SEE ALSO
italc(1),imc(8),italc_auth_helper(1)

http://italc.sf.net/

AUTHOR
iTALC has been written by Tobias Doerffel. See AUTHORS for details.

This manual page has been written by Tobias Doerffel and updated by Mike Gabriel. It was originally written for the Debian project (but may be used by others).